curl --request POST \
--url https://hpay-api.host-sl.com/api/v1/users/user_abc123/enable \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
result = client.users.enable("user_abc123")
print(result["message"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const result = await client.users.enable("user_abc123");
console.log(result.message);
{
"message": "User and wallet enabled successfully"
}
{
"detail": "User not found"
}
Users
Enable User
Re-enable a perviously disabled user and their wallet
POST
/
api
/
v1
/
users
/
{user_id}
/
enable
curl --request POST \
--url https://hpay-api.host-sl.com/api/v1/users/user_abc123/enable \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
result = client.users.enable("user_abc123")
print(result["message"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const result = await client.users.enable("user_abc123");
console.log(result.message);
{
"message": "User and wallet enabled successfully"
}
{
"detail": "User not found"
}
Endpoint
POST /api/v1/users/{user_id}/enable
Path Parameters
string
required
The unique identifier of the user to enable
Headers
string
required
Your application API key
string
required
Your application secret key
Response
string
Success message confirming the user and wallet have been re-enabled
curl --request POST \
--url https://hpay-api.host-sl.com/api/v1/users/user_abc123/enable \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
result = client.users.enable("user_abc123")
print(result["message"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const result = await client.users.enable("user_abc123");
console.log(result.message);
{
"message": "User and wallet enabled successfully"
}
{
"detail": "User not found"
}
Enabling a user also automatically enables their primary wallet, restoring
their ability to perform transactions including deposits and withdrawals.